/************************************************************************/
/*                                                                      */
/*  MSPORT Header file                                                  */
/*                                                                      */
/*  Function wrappers for portability from MSC.                         */
/*                                                                      */
/*  Copyright 1989 by Robert B. Stout dba MicroFirm                     */
/*  All rights reserved                                                 */
/*                                                                      */
/*  Copyright 1986, 1987 by S.E. Margison                               */
/*                                                                      */
/*  Compiled by and for use with Zortech C/C++ 1.07 or later.           */
/*                                                                      */
/************************************************************************/

#ifndef MSPORT_H
#define MSPORT_H

#define find_t FIND

#define _dos_findfirst(path,attrib,ffblk) (NULL==rfind_1st(path,attrib,ffblk))
#define _dos_findnext(ffblk)              (NULL==rfind_nxt(ffblk,RF_KEEP))

#define _A_ARCH    FA_ARCH
#define _A_VOLID   FA_LABEL
#define _A_SUBDIR  FA_DIREC
#define _A_SYSTEM  FA_SYSTEM
#define _A_RDONLY  FA_RDONLY
#define _A_HIDDEN  FA_HIDDEN

#if __ZTC__ < 0x108
 #define _dos_setdrive(d,x) {int r; r = chdrv(d + '@'); *x = r ? 0 : d;}
 #define _dos_getdrive(x) {char drv; drv = getdrv(); *x = (int)(drv - '@');}
 #define _dos_setfileattr(n,a) (flsetatr(n, a))
 #define _dos_getfileattr(n,p) {int a; a = flgetatr(n); *p = a;}
 #define _splitpath(x,d,p,n,e) (fnsplit(x, d, NULL, p, NULL, n, e))
 #define _makepath(x,d,p,n,e) (fnmerge(x, d, NULL, p, NULL, n, e))
#endif

#endif /* MSPORT_H */
